Upgrading  from  0.6.3  to  0.7 , get repsoitiory page  info error
2022/05/09 13:19 - Admin Redmine
優先度: 通常 期日:  

担当者:  進捗率: 0%

カテゴリ: SCM_3 予定工数: 0.00時間

対象バージョン: 0.7.1_3 作業時間: 0.00時間

Redmineorg_URL: https://www.redmine.org/issues/1098 status_id: 5

category_id: 3 tracker_id: 1

version_id: 3 plus1: 0

issue_org_id: 1098 affected_version:  

author_id: 892 closed_on:  

assigned_to_id: 0 affected_version_id:  

comments: 10   

説明

SCM : CVS
error info:
ActiveRecord::StatementInvalid (Mysql::Error: Duplicate entry '1-14' for key 'changesets_repos_rev': UPDATE changesets SET
committer = 'cvs_zhengyi', s
cmid = NULL, comments = 'no message', revision = 14, committed_on = '2008-04-17 03:18:10', repository_id = 1, commit_date =
'2008-04-17' WHERE i
d = 26)

I found in table 'changesets' there are two type format revisions, in  0.6.3 is only number , 0.7 is _number, so I deleted first type
rows, page working again,
maybe this is a bug. 

journals

CVS version 1.11.22

r1355 should fix this problem. Can you confirm please ?

Should be fixed in 0.7.0 release. Reopen if needed.

Upgrade from 0.6.0 to 0.7.0, encounter following exception in Repository page:

ActiveRecord::StatementInvalid (PGError: ERROR:  duplicate key violates unique constraint "changesets_repos_rev"
: UPDATE changesets SET "scmid" = NULL, "comments" = E'file build.xml was added on branch x on 2008-04-17 10:56:18 +0000',
"commit_date"
= '2008-04-17', "committer" = E'user', "committed_on" = '2008-04-17 06:15:39.000000', "repository_id" = 2, "revision" = E'795'
WHERE "id" = 797):
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:150:in log'
/vendor/rails/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:407:inexecute'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:162:in update_sql'
/vendor/rails/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:418:inupdate_sql'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:49:in
update_without_query_dirty'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:19:inupdate'
/vendor/rails/activerecord/lib/active_record/base.rb:2247:in update_without_lock'
/vendor/rails/activerecord/lib/active_record/locking/optimistic.rb:70:inupdate_without_callbacks'
/vendor/rails/activerecord/lib/active_record/callbacks.rb:240:in update_without_timestamps'
/vendor/rails/activerecord/lib/active_record/timestamp.rb:38:inupdate'
/vendor/rails/activerecord/lib/active_record/base.rb:2238:in create_or_update_without_callbacks'
/vendor/rails/activerecord/lib/active_record/callbacks.rb:213:increate_or_update'
/vendor/rails/activerecord/lib/active_record/base.rb:1972:in save_without_validation'
/vendor/rails/activerecord/lib/active_record/validations.rb:934:insave_without_transactions'
/vendor/rails/activerecord/lib/active_record/transactions.rb:108:in save'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:66:intransaction'
/vendor/rails/activerecord/lib/active_record/transactions.rb:80:in transaction'
/vendor/rails/activerecord/lib/active_record/transactions.rb:100:intransaction'
/vendor/rails/activerecord/lib/active_record/transactions.rb:108:in save'
/vendor/rails/activerecord/lib/active_record/transactions.rb:120:inrollback_active_record_state!'
/vendor/rails/activerecord/lib/active_record/transactions.rb:108:in save'
/vendor/rails/activerecord/lib/active_record/validations.rb:955:inupdate_attribute'
/app/models/repository/cvs.rb:142:in fetch_changesets'
/app/models/repository/cvs.rb:141:ineach'
/app/models/repository/cvs.rb:141:in fetch_changesets'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:66:intransaction'
/vendor/rails/activerecord/lib/active_record/transactions.rb:80:in transaction'
/vendor/rails/activerecord/lib/active_record/transactions.rb:100:intransaction'
/app/models/repository/cvs.rb:96:in fetch_changesets'
/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:125:insend'
/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:125:in method_missing'
/app/controllers/repositories_controller.rb:53:inshow'
/vendor/rails/actionpack/lib/action_controller/base.rb:1158:in send'
/vendor/rails/actionpack/lib/action_controller/base.rb:1158:inperform_action_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:697:in call_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:689:inperform_action_without_benchmark'
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in perform_action_without_rescue'
/usr/local/lib/ruby/1.8/benchmark.rb:293:inmeasure'
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in perform_action_without_rescue'
/vendor/rails/actionpack/lib/action_controller/rescue.rb:199:inperform_action_without_caching'
/vendor/rails/actionpack/lib/action_controller/caching.rb:678:in perform_action'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:incache'
/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in cache'
/vendor/rails/actionpack/lib/action_controller/caching.rb:677:inperform_action'
/vendor/rails/actionpack/lib/action_controller/base.rb:524:in send'
/vendor/rails/actionpack/lib/action_controller/base.rb:524:inprocess_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:685:in process_without_session_management_support'
/vendor/rails/actionpack/lib/action_controller/session_management.rb:123:inprocess'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in handle_request'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:indispatch'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in dispatch_cgi'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:indispatch'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/rack/adapter/rails.rb:49:in serve_rails'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/rack/adapter/rails.rb:64:incall'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/connection.rb:45:in process'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/connection.rb:31:inreceive_data'
/usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:1056:in event_callback'
/usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:224:inrun_machine'
/usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:224:in run'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/backends/base.rb:34:instart'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/server.rb:136:in start'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/controllers/controller.rb:70:instart'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:156:in send'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:156:inrun_command'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:127:in run!'
/usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/bin/thin:6
/usr/local/bin/thin:19:inload'
/usr/local/bin/thin:19

Rendering /home/postgres/redmine-0.7.0/public/500.html (500 Internal Server Error)

Francis, do you get this error every time you go to the Repository page ?

And does your Redmine server run multiple instances (eg. thin cluster) ?

Yes, I get this error every time open repo page. 

There is only one instance of server running.
Since 0.7.0 is out, shouldn't this be changed to 0.7.1, so 0.7.0 appears as completed in the
Roadmap?

I can't see how it can happen with a single instance.

Could you try to reload the repository (delete then reload the changesets) ?

Yes, i have clear changes and changesets, it is OK now.

OK, thanks for the feedback.
related_issues

duplicates,Closed,996,CVS view ends up with "duplicate key violates unique constraint" after 0.7.0RC1 update

履歴
#1 - 2022/05/10 17:29 - Admin Redmine

- カテゴリ を SCM_3 にセット

- 対象バージョン を 0.7.1_3 にセット
